## ros-humble-turtlebot3-manipulation-description 2.1.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_manipulation_description)

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)

################################################################################
# Install
################################################################################
install(DIRECTORY launch rviz urdf gazebo meshes ros2_control
  DESTINATION share/${PROJECT_NAME}
)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.dsv.in")
################################################################################
# Macro for ament package
################################################################################
ament_package()

=== debian/changelog ===
ros-humble-turtlebot3-manipulation-description (2.1.1-1jammy) jammy; urgency=high

  * Support ROS2 Humble
  * MoveIt environment configured
  * use ros2_control framework instead of ROBOTIS custom library
  * removed dependency to turtlebot3_*` and open_manipulator packages
  * Contributors: Hye-Jong KIM, Darby Lim, Will Son

 -- Will Son <willson@robotis.com>  Thu, 13 Oct 2022 15:00:00 -0000

ros-humble-turtlebot3-manipulation-description (1.1.0-1jammy) jammy; urgency=high

  * added gazebo and moveit config
  * deleted world
  * updated to sync for new open_manipulator_package #7 <https://github.com/ROBOTIS-GIT/open_manipulator_with_tb3/issues/7>
  * updated inertia params
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-humble-turtlebot3-manipulation-description (1.0.1-1jammy) jammy; urgency=high

  * added dependency package option
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 03 Jun 2018 15:00:00 -0000

ros-humble-turtlebot3-manipulation-description (1.0.0-1jammy) jammy; urgency=high

  * updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot3-manipulation-description
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: https://emanual.robotis.com/docs/en/platform/turtlebot3/manipulation/
Standards-Version: 3.9.2

Package: ros-humble-turtlebot3-manipulation-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher, ros-humble-joint-state-publisher-gui, ros-humble-robot-state-publisher, ros-humble-rviz2, ros-humble-ros-workspace
Description: ROS 2 package for turtlebot3_manipulation_description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot3-manipulation-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
